<?php
namespace App\Galileo\StructureParser\Structures\Base;

abstract class PriceRefundDistributed extends \App\Utils\BaseParser\Structure\StructureParser\Structures\Base\PriceRefundDistributed
{
	protected function createPriceTaxComponentObject($code=null, $amount=null, $currency=null, $VAT=null)
	{
		return new \App\Galileo\StructureParser\Types\PriceTaxComponent($code, $amount, $currency, $VAT);
	}

	protected function createPriceObject()
	{
		return new \App\Galileo\StructureParser\Types\Price();
	}
}
